Scriptname _DE_BookScript extends ObjectReference

referencealias property Alias_DE_Player auto
referencealias property _DE_WoodHarvestingAlias auto
_DE_WoodHarvestScript property WoodHarvestScriptRef auto
objectreference property _DE_XMarker_WoodHarvestEndRef auto
objectreference property _DE_Anchor auto
objectreference property _DE_PortalMarker auto
objectreference property _DE_TroubleshootChop auto
MiscObject property Firewood01 auto
weapon property Axe01 auto
furniture property _DE_WoodPilePlayer auto
message property _DE_BookMenu_Main auto
spell property _DE_Weathersense_Spell auto

Quest property _DE_Main_1_6 auto
bool property pFirstTime = True auto
{Sets whether or not this is the first time the player has looked at this book.}

globalvariable property _DE_Setting_Shutdown auto
globalvariable property _DE_ExposurePoints auto
globalvariable property _DE_WetState auto
globalvariable property _DE_SwimState auto

spell property _DE_BlockOff auto
spell property _DE_BlockOn auto
spell property _DE_Hypo_Spell_0_2 auto
spell property _DE_Hypo_Spell_1 auto
spell property _DE_Hypo_Spell_2 auto
spell property _DE_Hypo_Spell_3 auto
spell property _DE_Hypo_Spell_4 auto
spell property _DE_Hypo_Spell_5 auto
spell property _DE_WetState_Spell auto
spell property _DE_WetState_Spell1 auto
spell property _DE_WetState_Spell2 auto
spell property _DE_WetState_Spell3 auto
spell property _DE_SwimDetect_Dry auto
spell property _DE_SwimDetect_Wet auto
spell property _DE_TorchState_Spell auto
spell property _DE_WEARExamineArmor_Spell auto
spell property _DE_NoWait_Spell auto
spell property _DE_CloakState_Spell auto
spell property _DE_ColdWater_1 auto
spell property _DE_ColdWater_2 auto
spell property _DE_ColdWater_3 auto
spell property _DE_ColdWater_Death auto

Formlist property _DE_Armor_Body_Full auto
Formlist property _DE_Armor_Body_Limited auto
Formlist property _DE_Armor_Head_Full auto
Formlist property _DE_Armor_Head_Limited auto
Formlist property _DE_Armor_Hands_Full auto
Formlist property _DE_Armor_Hands_Limited auto
Formlist property _DE_Armor_Feet_Full auto
Formlist property _DE_Armor_Feet_Limited auto

_DE_EPMonitor_1_6 property pMainScript auto

GlobalVariable property _DE_Setting_ExposureRate2 auto
{Global that keeps track of the Exposure Rate Setting.}
GlobalVariable property _DE_Setting_FastTravel auto
{Global that keeps track of the Fast Travel Cost Setting.}
GlobalVariable property _DE_Setting_Tent auto
{Global that keeps track of the Tent Durability Setting.}
GlobalVariable property _DE_Setting_Water auto
{Global that keeps track of the Cold Water Setting.}
GlobalVariable property _DE_Setting_Armor auto
{Global that keeps track of the B.E.A.R. Setting.}
GlobalVariable property _DE_Setting_Lighting auto
{Global that keeps track of the Fire Kit lighting Setting.}
GlobalVariable property _DE_Setting_WoodCinematic auto
{Global that keeps track of the wood harvesting cinematic Setting.}

_DE_ClothingMonitor_1_6 property ClothingMonitorRef auto
{Property to link to the Clothing Monitor script. Checks worn equipment.}

message property _DE_Backpack_Menu2_Main auto
{Menu: Main Menu}
message property _DE_Backpack_Menu2_Main_NoTentDur auto
{Menu: Main Menu - No Tent Durability Option}
Message property _DE_Backpack_Menu2_Setup auto
{Menu: Setup}
message property _DE_Backpack_Menu2_Setup_ClassicMode auto
{Menu: Setup Classic Mode}
message property _DE_Backpack_Menu2_Setup_LiteMode auto
{Menu: Setup Lite Mode}
message property _DE_Backpack_Menu2_ClassicModeApply auto
{Menu: Setup Classic Mode Confirmation Dialog}
message property _DE_Backpack_Menu2_LiteModeApply auto
{Menu: Setup Lite Mode Confirmation Dialog}
message property _DE_Backpack_Menu2_HelpMain auto
{Menu: Main Help Menu}
message property _DE_Backpack_Menu2_HelpCamping auto
{Menu: Camping Help}
message property _DE_Backpack_Menu2_HelpExposure auto
{Menu: Exposure Help Main Menu}
message property _DE_Backpack_Menu2_HelpExposure_Clothing auto
{Menu: Exposure Clothing Help}
message property _DE_Backpack_Menu2_HelpExposure_Food auto
{Menu: Exposure Food Help}
message property _DE_Backpack_Menu2_HelpExposure_Frost auto
{Menu: Exposure Frost Resistance Help}
message property _DE_Backpack_Menu2_HelpExposure_Location auto
{Menu: Exposure Location Help}
message property _DE_Backpack_Menu2_HelpExposure_Weather auto
{Menu: Exposure Weather Help}
message property _DE_Backpack_Menu2_HelpExposure_Wet auto
{Menu: Exposure Getting Wet Help}
message property _DE_Backpack_Menu2_HelpFT auto
{Menu: Exposure Fast Travel Help}
message property _DE_Backpack_Menu2_HelpWater auto
{Menu: Exposure Cold Water Help}

message Property _DE_Backpack_Menu2_Setup_Options_Camping Auto
{Menu: Camping options submenu}
Message Property _DE_Backpack_Menu2_Setup_Options_Exposure Auto
{Menu: Exposure options submenu}


message property _DE_ShutdownReactivate auto
message property _DE_Backpack_Menu2_Setup_HardcoreMode auto
message property _DE_Backpack_Menu2_Setup_OptionsHardcore auto
message property _DE_Backpack_Menu2_Setup_OptionsHardcore_BEAREnabled auto
message property _DE_Backpack_Menu2_Setup_OptionsHardcore_BEARDisabled auto
message property _DE_WearSelectMenu_RestoreDefaultsConfirm auto
message property _DE_WearSelectMenu_RestoreDefaults auto
message property _DE_Backpack_Menu2_HardcoreModeApply auto
message property _DE_Backpack_Menu2_Setup_FastTravelDisableOn auto
message property _DE_Backpack_Menu2_Setup_FastTravelDisableOff auto
message property _DE_Backpack_Menu2_Setup_Options_CombatDisableOn auto
message property _DE_Backpack_Menu2_Setup_Options_CombatDisableOff auto
message property _DE_Backpack_Menu2_Setup_WaitDisableOn auto
message property _DE_Backpack_Menu2_Setup_WaitDisableOff auto
message property _DE_Backpack_Menu2_Setup_Options auto
message property _DE_Backpack_Menu2_Setup_OptionsExposureRate auto 
message property _DE_Backpack_Menu2_Setup_OptionsTentEnabled auto
message property _DE_Backpack_Menu2_Setup_OptionsTentDisabled auto
message property _DE_Backpack_Menu2_Setup_OptionsFastTravelEnabled auto
message property _DE_Backpack_Menu2_Setup_OptionsFastTravelDisabled auto
message property _DE_Backpack_Menu2_Setup_OptionsWaterEnabled auto
message property _DE_Backpack_Menu2_Setup_OptionsWaterDisabled auto
message property _DE_Backpack_Menu2_Setup_OptionsUninstallNo auto
message property _DE_Backpack_Menu2_Setup_OptionsUninstallYes auto
message property _DE_Backpack_Menu2_Setup_OptionsFireLightOff auto
message property _DE_Backpack_Menu2_Setup_OptionsFireLightOn auto
message property _DE_Backpack_Menu2_Setup_Options_WoodHarvestCinematicOn auto
message property _DE_Backpack_Menu2_Setup_Options_WoodHarvestCinematicOff auto
message property _DE_Backpack_Menu2_HelpTroubleshooting auto
message property _DE_Backpack_Menu2_HelpTroubleshooting2 auto
message property _DE_Backpack_Menu2_HelpTroubleshootingEP auto
message property _DE_Backpack_Menu2_HelpTroubleshootingFT auto
message property _DE_Backpack_Menu2_HelpTroubleshootingSlow auto
message property _DE_Backpack_Menu2_HelpTroubleshootingStats auto
message property _DE_Backpack_Menu2_HelpTroubleshootingWait auto
message property _DE_Backpack_Menu2_HelpTroubleshootingWet auto
message property _DE_Backpack_Menu2_HelpTroubleshootingExit auto
message property _DE_Backpack_Menu2_HelpTroubleshootingConfirm auto


message property _DE_ShutdownComplete auto

import utility

Event OnRead()
	BookMenuMain()
endEvent

function BookMenuMain()
	;wait(3)
	int ibutton = _DE_BookMenu_Main.Show()
	if ibutton == 0
		Menu2Setup()
	elseif ibutton == 1
		;Just read the book
	endif
endFunction

Function Menu2Setup()					;ZZZComplete
	int ibutton = _DE_Backpack_Menu2_Setup.Show()
	
	if ibutton == 0				;Hardcore Mode
		Menu2HardcoreMode()
	elseif ibutton == 1			;Classic Mode
		Menu2ClassicMode()
	elseif ibutton == 2			;Lite Mode
		Menu2LiteMode()
	elseif ibutton == 3			;Advanced Setup
		Menu2Options()
	elseif ibutton == 4			;Help
		Menu2HelpMain()
	elseif ibutton == 5			;Back
		BookMenuMain()
	endif
	
endFunction

function Menu2Options()					;ZZZComplete
	int ibutton = _DE_Backpack_Menu2_Setup_Options.Show()
	
	if ibutton == 0
		Menu2Options_Exposure()
	elseif ibutton == 1
		Menu2Options_Camping()
	elseif ibutton == 2
		Menu2Options_Hardcore()
	elseif ibutton == 3
		Uninstall()
	elseif ibutton == 4
		Menu2Setup()		
	endif
endFunction

function Menu2Options_Hardcore()
	int ibutton = _DE_Backpack_Menu2_Setup_OptionsHardcore.Show()
	if ibutton == 0
		Menu2Options_Hardcore_BEAR()
	elseif ibutton == 1		
		Menu2Options_Hardcore_FastTravelDisable()
	elseif ibutton == 2
		Menu2Options_Hardcore_NoWait()
	elseif ibutton == 3
		Menu2Options()
	endif
endFunction

function Menu2Options_Hardcore_FastTravelDisable()
	if pMainScript.pSetting_FastTravelDisable == true
		int ibutton = _DE_Backpack_Menu2_Setup_FastTravelDisableOn.Show()
		if ibutton == 0
			pMainScript.pSetting_FastTravelDisable = false
			Menu2Options_Hardcore_FastTravelDisable()
		elseif ibutton == 1
			Menu2Options_Hardcore()
		endif
	elseif pMainScript.pSetting_FastTravelDisable == false
		int ibutton = _DE_Backpack_Menu2_Setup_FastTravelDisableOff.Show()
		if ibutton == 0
			pMainScript.pSetting_FastTravelDisable = true
			Menu2Options_Hardcore_FastTravelDisable()
		elseif ibutton == 1
			Menu2Options_Hardcore()
		endif
	endif
endFunction

function Menu2Options_Hardcore_NoWait()
	if pMainScript.pSetting_NoWait == true
		int ibutton = _DE_Backpack_Menu2_Setup_WaitDisableOn.Show()
		if ibutton == 0
			pMainScript.pSetting_NoWait = false
			Menu2Options_Hardcore_NoWait()
		elseif ibutton == 1
			Menu2Options_Hardcore()
		endif
	elseif pMainScript.pSetting_NoWait == false
		int ibutton = _DE_Backpack_Menu2_Setup_WaitDisableOff.Show()
		if ibutton == 0
			pMainScript.pSetting_NoWait = true
			Menu2Options_Hardcore_NoWait()
		elseif ibutton == 1
			Menu2Options_Hardcore()
		endif
	endif


endFunction

function Menu2Options_Hardcore_BEAR()
	if _DE_Setting_Armor.GetValueInt() == 2
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsHardcore_BEAREnabled.Show()
		if ibutton == 0
			_DE_Setting_Armor.SetValue(1)
			ClothingMonitorRef.WEARDisabled()
			Menu2Options_Hardcore_BEAR()
		elseif ibutton == 1
			Menu2Options_Hardcore_Bear_Default()
		elseif ibutton == 2
			Menu2Options_Hardcore()
		endif
	elseif _DE_Setting_Armor.GetValueInt() == 1
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsHardcore_BEARDisabled.Show()
		if ibutton == 0
			_DE_Setting_Armor.SetValue(2)
			Game.DisablePlayerControls()			;Force the player out of the menus.
			Game.EnablePlayerControls()
			ClothingMonitorRef.WEAREnabledArray()
		elseif ibutton == 1
			Menu2Options_Hardcore_Bear_Default()
		elseif ibutton == 2
			Menu2Options_Hardcore()
		endif
	endif
endFunction

Function Menu2Options_Hardcore_Bear_Default()
	int ibuttontwo = _DE_WearSelectMenu_RestoreDefaults.Show()
	if ibuttontwo == 0
		Game.DisablePlayerControls()			;Force the player out of the menus.
		Game.EnablePlayerControls()
		ClothingMonitorRef.WEAREnabledArray()
		_DE_WearSelectMenu_RestoreDefaultsConfirm.Show()
	else
		Menu2Options_Hardcore_BEAR()
	endif
endFunction

function Menu2Options_Camping()
	int ibutton = _DE_Backpack_Menu2_Setup_Options_Camping.Show()
	if ibutton == 0
		Menu2Options_FastTravel()
	elseif ibutton == 1
		Menu2Options_TentDurability()
	elseif ibutton == 2
		Menu2Options_FireKitLighting()
	elseif ibutton == 3
		Menu2Options_WoodHarvesting()
	elseif ibutton == 4
		Menu2Options()
	EndIf
EndFunction

function Menu2Options_WoodHarvesting()
	if _DE_Setting_WoodCinematic.GetValueInt() == 2
		int ibutton = _DE_Backpack_Menu2_Setup_Options_WoodHarvestCinematicOn.Show()
		if ibutton == 0
			_DE_Setting_WoodCinematic.SetValue(1)
			Menu2Options_WoodHarvesting()
		elseif ibutton == 1
			Menu2Options_Camping()
		endif
	elseif _DE_Setting_WoodCinematic.GetValueInt() == 1
		int ibutton = _DE_Backpack_Menu2_Setup_Options_WoodHarvestCinematicOff.Show()
		if ibutton == 0
			_DE_Setting_WoodCinematic.SetValue(2)
			Menu2Options_WoodHarvesting()
		elseif ibutton == 1
			Menu2Options_Camping()
		endif
	endif
endFunction

function Menu2Options_FireKitLighting()
	if _DE_Setting_Lighting.GetValueInt() == 2
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsFireLightOn.Show()
		if ibutton == 0
			if (Game.GetPlayer().HasSpell(_DE_BlockOn))
				Game.GetPlayer().RemoveSpell(_DE_BlockOn)
			endif
			if (Game.GetPlayer().HasSpell(_DE_BlockOff))
				Game.GetPlayer().RemoveSpell(_DE_BlockOff)
			endif
			_DE_Setting_Lighting.SetValue(1)
			Menu2Options_FireKitLighting()
		elseif ibutton == 1
			Menu2Options_Camping()
		endif
	elseif _DE_Setting_Lighting.GetValueInt() == 1
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsFireLightOff.Show()
		if ibutton == 0
			if !(Game.GetPlayer().HasSpell(_DE_BlockOn))
				Game.GetPlayer().AddSpell(_DE_BlockOn, false)
			endif
			if !(Game.GetPlayer().HasSpell(_DE_BlockOff))
				Game.GetPlayer().AddSpell(_DE_BlockOff, false)
			endif
			_DE_Setting_Lighting.SetValue(2)
			Menu2Options_FireKitLighting()
		elseif ibutton == 1
			Menu2Options_Camping()
		endif
	endif
endFunction

function Menu2Options_Exposure()
	int ibutton = _DE_Backpack_Menu2_Setup_Options_Exposure.Show()
	if ibutton == 0
		Menu2Options_ExposureRate()
	elseif ibutton == 1
		Menu2Options_ExposureCombat()
	elseif ibutton == 2
		Menu2Options_Water()
	Else
		Menu2Options()
	EndIf
EndFunction
	
function Menu2Options_ExposureCombat()
	if pMainScript.pSetting_CombatDisable == true
		int ibutton = _DE_Backpack_Menu2_Setup_Options_CombatDisableOn.Show()
		if ibutton == 0
			pMainScript.pSetting_CombatDisable = false
			Menu2Options_ExposureCombat()
		elseif ibutton == 1
			Menu2Options_Exposure()
		endif
	elseif pMainScript.pSetting_CombatDisable == false
		int ibutton = _DE_Backpack_Menu2_Setup_Options_CombatDisableOff.Show()
		if ibutton == 0
			pMainScript.pSetting_CombatDisable = true
			Menu2Options_ExposureCombat()
		elseif ibutton == 1
			Menu2Options_Exposure()
		endif
	endif
endFunction
	
function Menu2Options_ExposureRate()	;ZZZComplete
	int ibutton = _DE_Backpack_Menu2_Setup_OptionsExposureRate.Show(_DE_Setting_ExposureRate2.GetValue())
	
	if ibutton == 0		;Decrease
		if _DE_Setting_ExposureRate2.GetValue() > 0.0
			_DE_Setting_ExposureRate2.SetValue(_DE_Setting_ExposureRate2.GetValue() - 0.1)
			Menu2Options_ExposureRate()
		else
			Menu2Options_ExposureRate()
		endif
	elseif ibutton == 1	;Increase
		if _DE_Setting_ExposureRate2.GetValue() < 4.0
			_DE_Setting_ExposureRate2.SetValue(_DE_Setting_ExposureRate2.GetValue() + 0.1)
			Menu2Options_ExposureRate()
		else
			Menu2Options_ExposureRate()
		endif
	elseif ibutton == 2 ;Exit
		Menu2Options_Exposure()
	endif
endFunction
	
function Menu2Options_TentDurability()	;ZZZComplete
	if _DE_Setting_Tent.GetValueInt() == 1
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsTentEnabled.Show()
		if ibutton == 0		;Change
			_DE_Setting_Tent.SetValue(0)
			Menu2Options_TentDurability()
		elseif ibutton == 1
			Menu2Options_Camping()
		endif			
	else
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsTentDisabled.Show()
		if ibutton == 0		;Change
			_DE_Setting_Tent.SetValue(1)
			Menu2Options_TentDurability()
		elseif ibutton == 1
			Menu2Options_Camping()
		endif		
	endif
endFunction

function Menu2Options_FastTravel()		;ZZZComplete
	if _DE_Setting_FastTravel.GetValueInt() == 1
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsFastTravelEnabled.Show()
		if ibutton == 0		;Change
			_DE_Setting_FastTravel.SetValue(0)
			Menu2Options_FastTravel()
		elseif ibutton == 1
			Menu2Options_Camping()
		endif			
	else
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsFastTravelDisabled.Show()
		if ibutton == 0		;Change
			_DE_Setting_FastTravel.SetValue(1)
			Menu2Options_FastTravel()
		elseif ibutton == 1
			Menu2Options_Camping()
		endif		
	endif
endFunction

function Menu2Options_Water()			;ZZZComplete
	if _DE_Setting_Water.GetValueInt() == 1
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsWaterEnabled.Show()
		if ibutton == 0		;Change
			_DE_Setting_Water.SetValue(0)
			Menu2Options_Water()
		elseif ibutton == 1
			Menu2Options_Exposure()
		endif
	else
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsWaterDisabled.Show()
		if ibutton == 0		;Change
			_DE_Setting_Water.SetValue(1)
			Menu2Options_Water()
		elseif ibutton == 1
			Menu2Options_Exposure()
		endif
	endif
endFunction

function Menu2HardcoreMode()			;ZZZComplete
	int ibutton = _DE_Backpack_Menu2_Setup_HardcoreMode.Show()
	
	if ibutton == 0		;Yes
		_DE_Setting_Armor.SetValue(2)													;W.E.A.R. Enabled
		_DE_Setting_ExposureRate2.SetValue(1.0)											;Exposure Rate: 1.0x
		pMainScript.pSetting_FastTravelDisable = true
		pMainScript.pSetting_NoWait = false
		_DE_Setting_Lighting.SetValue(2)												;Manual Fire Kit lighting on
		_DE_Setting_FastTravel.SetValue(0)												;Fast Travel Requirement: On
		_DE_Setting_Tent.SetValue(1)													;Tent Durability: On
		_DE_Setting_Water.SetValue(1)													;Water Lethality: On
		Game.DisablePlayerControls()			;Force the player out of the menus.
		Game.EnablePlayerControls()
		ClothingMonitorRef.WEAREnabledArray()											;Set up W.E.A.R. values
		_DE_Backpack_Menu2_HardcoreModeApply.Show()
	elseif ibutton == 1
		Menu2Setup()	;No
	endif
endfunction

function Menu2ClassicMode()				;ZZZComplete
	int ibutton = _DE_Backpack_Menu2_Setup_ClassicMode.Show()
	
	if ibutton == 0		;Yes
		_DE_Setting_Armor.SetValue(1)													;W.E.A.R. Disabled
		_DE_Setting_ExposureRate2.SetValue(1.0)											;Exposure Rate: 1.0x
		pMainScript.pSetting_FastTravelDisable = false
		pMainScript.pSetting_NoWait = false
		_DE_Setting_Lighting.SetValue(1)												;Manual Fire Kit lighting Off
		_DE_Setting_FastTravel.SetValue(1)												;Fast Travel Requirement: On
		_DE_Setting_Tent.SetValue(1)													;Tent Durability: On
		_DE_Setting_Water.SetValue(1)													;Water Lethality: On
		ClothingMonitorRef.WEARDisabled()												;Ensure proper exposure protection values
		_DE_Backpack_Menu2_ClassicModeApply.Show()
	elseif ibutton == 1
		Menu2Setup()	;No
	endif
endfunction

function Menu2LiteMode()				;ZZZComplete
	int ibutton = _DE_Backpack_Menu2_Setup_LiteMode.Show()
	
	if ibutton == 0		;Yes
		_DE_Setting_Armor.SetValue(1)													;W.E.A.R. Disabled
		_DE_Setting_ExposureRate2.SetValue(1.0)											;Exposure Rate: 1.0x
		pMainScript.pSetting_FastTravelDisable = false
		pMainScript.pSetting_NoWait = false
		_DE_Setting_Lighting.SetValue(1)												;Manual Fire Kit lighting Off
		_DE_Setting_FastTravel.SetValue(0)												;Fast Travel Requirement: Off
		_DE_Setting_Tent.SetValue(0)													;Tent Durability: Off
		_DE_Setting_Water.SetValue(0)													;Water Lethality: Off
		ClothingMonitorRef.WEARDisabled()												;Ensure proper exposure protection values
		_DE_Backpack_Menu2_LiteModeApply.Show()
	elseif ibutton == 1
		Menu2Setup()	;No
	endif
endfunction
	
function Menu2HelpMain()				;ZZZComplete
	
	int ibutton = _DE_Backpack_Menu2_HelpMain.Show()
	
	if ibutton == 0
		Menu2HelpExposure()
	elseif ibutton == 1
		_DE_Backpack_Menu2_HelpFT.Show()
		Menu2HelpMain()
	elseif ibutton == 2
		_DE_Backpack_Menu2_HelpWater.Show()
		Menu2HelpMain()
	elseif ibutton == 3
		_DE_Backpack_Menu2_HelpCamping.Show()
		Menu2HelpMain()
	elseif ibutton == 4
		Menu2Troubleshooting()
	elseif ibutton == 5
		Menu2Setup()
	endif	

endFunction	

function Menu2Troubleshooting()
	int ibutton = _DE_Backpack_Menu2_HelpTroubleshooting.Show()
	if ibutton == 0
		Menu2TroubleshootingWet()
	elseif ibutton == 1
		Menu2TroubleshootingStats()
	elseif ibutton == 2
		Menu2TroubleshootingSlow()
	elseif ibutton == 3
		Menu2TroubleshootingEP()
	elseif ibutton == 4
		Menu2Troubleshooting2()
	elseif ibutton == 5
		Menu2HelpMain()
	endif
endFunction

Function Menu2Troubleshooting2()
	int ibutton = _DE_Backpack_Menu2_HelpTroubleshooting2.Show()
	if ibutton == 0
		Menu2TroubleshootingFT()
	elseif ibutton == 1
		Menu2TroubleshootingWait()
	elseif ibutton == 2
		Menu2TroubleshootingExit()
	elseif ibutton == 3
		Menu2Troubleshooting()
	elseif ibutton == 4
		Menu2HelpMain()
	endif
endFunction

function Menu2TroubleshootingWet()					;ZZZComplete
	int ibutton = _DE_Backpack_Menu2_HelpTroubleshootingWet.Show()
	if ibutton == 0
		Game.DisablePlayerControls()
		Game.EnablePlayerControls()
		utility.wait(1)
		Game.GetPlayer().RemoveSpell(_DE_SwimDetect_Dry)
		Game.GetPlayer().RemoveSpell(_DE_SwimDetect_Wet)
		Game.GetPlayer().RemoveSpell(_DE_WetState_Spell)
		Game.GetPlayer().RemoveSpell(_DE_WetState_Spell1)
		Game.GetPlayer().RemoveSpell(_DE_WetState_Spell2)
		Game.GetPlayer().RemoveSpell(_DE_WetState_Spell3)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_1)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_2)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_3)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_Death)
		pMainScript.pWetPoints = 0.0
		_DE_WetState.SetValue(0)
		utility.wait(1)
		Game.GetPlayer().AddSpell(_DE_SwimDetect_Dry, false)
		Game.GetPlayer().AddSpell(_DE_SwimDetect_Wet, false)
		_DE_Backpack_Menu2_HelpTroubleshootingConfirm.Show()
	elseif ibutton == 1
		Menu2Troubleshooting()
	endif
endFunction
	
function Menu2TroubleshootingWait()
	int ibutton = _DE_Backpack_Menu2_HelpTroubleshootingWait.Show()
	if ibutton == 0
		Game.DisablePlayerControls()
		Game.EnablePlayerControls()
		utility.wait(1)
		pMainScript.pSetting_NoWait = false
		Game.GetPlayer().RemoveSpell(_DE_NoWait_Spell)
		_DE_Backpack_Menu2_HelpTroubleshootingConfirm.Show()
	elseif ibutton == 1
		Menu2Troubleshooting2()
	endif
endFunction
	
function Menu2TroubleshootingStats()
	int ibutton = _DE_Backpack_Menu2_HelpTroubleshootingStats.Show()
	if ibutton == 0
		Game.DisablePlayerControls()
		Game.EnablePlayerControls()
		utility.wait(1)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_0_2)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_1)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_2)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_3)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_4)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_5)
		_DE_ExposurePoints.SetValue(90)
		_DE_Backpack_Menu2_HelpTroubleshootingConfirm.Show()
	elseif ibutton == 1
		Menu2Troubleshooting()
	endif
endFunction
	
function Menu2TroubleshootingSlow()
	int ibutton = _DE_Backpack_Menu2_HelpTroubleshootingSlow.Show()
	if ibutton == 0
		Game.DisablePlayerControls()
		Game.EnablePlayerControls()
		utility.wait(1)
		Game.GetPlayer().SetActorValue("SpeedMult", 100)
		_DE_Backpack_Menu2_HelpTroubleshootingConfirm.Show()
	elseif ibutton == 1
		Menu2Troubleshooting()
	endif
endFunction

function Menu2TroubleshootingFT()
	int ibutton = _DE_Backpack_Menu2_HelpTroubleshootingFT.Show()
	if ibutton == 0
		Game.DisablePlayerControls()
		Game.EnablePlayerControls()
		utility.wait(1)
		_DE_Setting_FastTravel.SetValue(0)
		Game.GetPlayer().RemoveSpell(_DE_NoWait_Spell)
		pMainScript.pSetting_NoWait = false
		pMainScript.pSetting_FastTravelDisable = false
		Game.EnableFastTravel()
		_DE_Backpack_Menu2_HelpTroubleshootingConfirm.Show()
	elseif ibutton == 1
		Menu2Troubleshooting2()
	endif
endFunction

function Menu2TroubleshootingEP()
	int ibutton = _DE_Backpack_Menu2_HelpTroubleshootingEP.Show()
	if ibutton == 0
		Game.DisablePlayerControls()
		Game.EnablePlayerControls()
		utility.wait(1)
		_DE_ExposurePoints.SetValue(75)
		_DE_Backpack_Menu2_HelpTroubleshootingConfirm.Show()
	elseif ibutton == 1
		Menu2Troubleshooting()
	endif
endFunction
	
function Menu2TroubleshootingExit()
	int ibutton = _DE_Backpack_Menu2_HelpTroubleshootingExit.Show()
	if ibutton == 0
		WoodHarvestScriptRef.UnregisterForAllEvents()
		_DE_WoodHarvestingAlias.Clear()
		_DE_XMarker_WoodHarvestEndRef.MoveTo(_DE_Anchor)
		_DE_PortalMarker.MoveTo(Game.GetPlayer())
		debug.CenterOnCell("_DE_TestCell")		
		;_DE_Backpack_Menu2_HelpTroubleshootingConfirm.Show()
	elseif ibutton == 1
		Menu2Troubleshooting2()
	endif
endFunction
	
	
function Menu2HelpExposure()			;ZZZComplete

	int ibutton = _DE_Backpack_Menu2_HelpExposure.Show()
		
	if ibutton == 0
		_DE_Backpack_Menu2_HelpExposure_Location.Show()
		Menu2HelpExposure()									;Return here when player clicks back
	elseif ibutton == 1
		_DE_Backpack_Menu2_HelpExposure_Weather.Show()
		Menu2HelpExposure()
	elseif ibutton == 2
		_DE_Backpack_Menu2_HelpExposure_Wet.Show()
		Menu2HelpExposure()
	elseif ibutton == 3
		_DE_Backpack_Menu2_HelpExposure_Clothing.Show()
		Menu2HelpExposure()
	elseif ibutton == 4
		_DE_Backpack_Menu2_HelpExposure_Frost.Show()
		Menu2HelpExposure()
	elseif ibutton == 5
		_DE_Backpack_Menu2_HelpExposure_Food.Show()
		Menu2HelpExposure()
	elseif ibutton == 6
		Menu2HelpMain()
	endif
endFunction

function Uninstall()					;ZZZComplete
	if pMainScript.ShutdownState == false
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsUninstallNo.Show()
		if ibutton == 0
			;Shut Down Frostfall
		_DE_ExposurePoints.SetValue(100.0)
		_DE_SwimState.SetValue(0)
		_DE_Setting_Lighting.SetValue(1)
		Game.EnableFastTravel()
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_0_2)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_1)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_2)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_3)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_4)
		Game.GetPlayer().RemoveSpell(_DE_Hypo_Spell_5)
		Game.GetPlayer().RemoveSpell(_DE_TorchState_Spell)
		Game.GetPlayer().RemoveSpell(_DE_CloakState_Spell)
		;Game.GetPlayer().RemoveSpell(_DE_SwimDetect_Dry)
		;Game.GetPlayer().RemoveSpell(_DE_SwimDetect_Wet)
		Game.GetPlayer().RemoveSpell(_DE_WetState_Spell)
		Game.GetPlayer().RemoveSpell(_DE_WetState_Spell1)
		Game.GetPlayer().RemoveSpell(_DE_WetState_Spell2)
		Game.GetPlayer().RemoveSpell(_DE_WetState_Spell3)
		Game.GetPlayer().RemoveSpell(_DE_Weathersense_Spell)
		Game.GetPlayer().RemoveSpell(_DE_WEARExamineArmor_Spell)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_1)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_2)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_3)
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_Death)
		ImageSpaceModifier.RemoveCrossFade(4.0)
		_DE_WetState.SetValue(0)
		pMainScript.pWetPoints = 0.0
		Alias_DE_Player.Clear()
		;Game.GetPlayer().RemoveItem(_DE_Backpack, 1)
		pMainScript.ShutdownState = true
		_DE_ShutdownComplete.Show()
		Uninstall()
		else
			Menu2Options()
		endif
	else
		int ibutton = _DE_Backpack_Menu2_Setup_OptionsUninstallYes.Show()
		if ibutton == 0
			;Game.GetPlayer().AddSpell(_DE_SwimDetect_Dry, false)
			;Game.GetPlayer().AddSpell(_DE_SwimDetect_Wet, false)
			Game.GetPlayer().AddSpell(_DE_Weathersense_Spell)
			Game.GetPlayer().AddSpell(_DE_WEARExamineArmor_Spell)
			pMainScript.ShutdownState = false
			Uninstall()
		else
			Menu2Options()
		endif
	endif
endFunction