Scriptname _DE_ColdWaterNearDeath extends activemagiceffect  

Spell property _DE_ColdWater_3 auto
Spell property _DE_ColdWater_Death auto
imagespacemodifier property DismayingShoutImod auto
GlobalVariable property _DE_SwimState auto
GlobalVariable property _DE_Setting_Water auto
message property _DE_WaterTemp4a auto
message property _DE_WaterTemp4b auto
message property _DE_WaterTemp4c auto
int property iUpdate = 0 auto

import utility



Event OnEffectStart(Actor akTarget, Actor akCaster)

	DismayingShoutImod.Apply(3)
	if _DE_Setting_Water.GetValueInt() == 1
		iUpdate = 0
		RegisterForSingleUpdate(1)
	endif
	
endEvent

event OnEffectFinish(Actor akTarget, Actor akCaster)
	iUpdate = 0
endEvent

Event OnUpdate()

	if _DE_SwimState.GetValueInt() == 1
		if iUpdate >= 30
			Game.GetPlayer().RemoveSpell(_DE_ColdWater_3)
			Game.GetPlayer().AddSpell(_DE_ColdWater_Death)
		elseif iUpdate < 30 && iUpdate > 25
			RegisterForSingleUpdate(1)
		elseif iUpdate == 25
			_DE_WaterTemp4c.Show()					;(25s)You can't feel anything. Darkness engulfs your mind.
			RegisterForSingleUpdate(1)
		elseif iUpdate < 25 && iUpdate > 20
			RegisterForSingleUpdate(1)
		elseif iUpdate == 20
			_DE_WaterTemp4b.Show()					;(20s)You feel your consciousness slipping.
			RegisterForSingleUpdate(1)
		elseif iUpdate < 20 && iUpdate > 10
			RegisterForSingleUpdate(1)
		elseif iUpdate == 10
			_DE_WaterTemp4a.Show()					;(10s)Your limbs begin to feel numb.
			RegisterForSingleUpdate(1)
		elseif iUpdate < 10
			RegisterForSingleUpdate(1)
		endif
	else
		Game.GetPlayer().RemoveSpell(_DE_ColdWater_3)
	endif

	iUpdate += 1
	
endEvent

;----------\
; Old Code  \      
;---------------------------------------------------------------------------------------
;Event OnEffectStart(Actor akTarget, Actor akCaster)
;
;	DismayingShoutImod.Apply(3)
;	if _DE_Setting_Water.GetValueInt() == 1			;Cold Water Death = On
;		wait(10)
;		if _DE_SwimState.GetValueInt() == 1
;			_DE_WaterTemp4a.Show()					;(10s)Your limbs begin to feel numb.
;			wait(10)
;		else
;			Game.GetPlayer().RemoveSpell(_DE_ColdWater_3)
;		endif
;	
;		if _DE_SwimState.GetValueInt() == 1
;			_DE_WaterTemp4b.Show()					;(20s)You feel your consciousness slipping.
;			wait(5)
;		else
;			Game.GetPlayer().RemoveSpell(_DE_ColdWater_3)
;		endif
;	
;		if _DE_SwimState.GetValueInt() == 1
;			_DE_WaterTemp4c.Show()					;(25s)You can't feel anything. Darkness engulfs your mind.
;			wait(5)
;		else
;			Game.GetPlayer().RemoveSpell(_DE_ColdWater_3)
;		endif
;	
;		if _DE_SwimState.GetValueInt() == 1
;			Game.GetPlayer().AddSpell(_DE_ColdWater_Death)
;		else
;			Game.GetPlayer().RemoveSpell(_DE_ColdWater_3)
;		endif
;	endif
;endEvent