scriptname _DE_FoodDetect extends ReferenceAlias

import Debug

GlobalVariable property _DE_ExposurePoints auto

Keyword property _DE_FoodBuffKeyword10 auto
Keyword property _DE_FoodBuffKeyword15 auto
Keyword property _DE_FoodBuffKeyword20 auto
Keyword property _DE_FoodBuffKeyword25 auto

Keyword property _DE_DrinkKW1 auto
Keyword property _DE_DrinkKW2 auto
Keyword property _DE_DrinkKW3 auto
Potion property _DE_DrinkDummy1 auto
Potion property _DE_DrinkDummy2 auto
Potion property _DE_DrinkDummy3 auto
Potion property _DE_FoodDummy10 auto
Potion property _DE_FoodDummy15 auto
Potion property _DE_FoodDummy20 auto
Potion property _DE_FoodDummy25 auto

Potion property FoodAppleCabbageStew Auto
Potion property FoodBeefStew Auto
Potion property FoodHorkerStew Auto
Potion property FoodVenisonStew Auto
Potion property FoodCabbagePotatoSoup Auto
Potion property FoodCabbageSoup Auto
Potion property FoodTomatoSoup Auto
Potion property FoodVegetableSoup Auto
Potion property FoodElsweyrFondue Auto							
Potion property FoodBlackBriarMead Auto						;Black-briar Mead
Potion property BlackBriarMeadPrivateReserve Auto			;Black-briar Reserve
Potion Property FoodHonningbrewMead Auto					;Honningbrew Mead
Potion Property FoodMead Auto								;Mead
Potion Property FreeformDragonBridgeMead Auto				;Dragon's Breath Mead
Potion property MQ101JuniperMead Auto						;Mead with Juniper Berrys
Potion property Ale Auto									;Ale
Potion property AleWhiterunQuest Auto						;Argonian Ale
Potion property RiftenSpecial01 Auto						;Velvet LeChance
Potion property RiftenSpecial02 Auto						;White-Gold Tower
Potion property RiftenSpecial03 Auto						;Cliff Racer
Potion property FoodWineAltoA Auto							;Jessica's Wine
Potion property FoodWineAlto Auto							;Alto Wine
Potion property TGTQ02BalmoraBlue Auto						;Balmora Blue
Potion property MQ201Drink auto 							;Colovian Brandy
Potion property WEDL03CyrodilicBrandy Auto					;Cyrodilic Brandy
Potion property FavorSorexRum Auto							;Stros M'Kai Rum
Potion property FoodWineBottle02 auto						;Wine
Potion property FoodWineBottle02A auto						;Wine
Potion property FoodSolitudeSpicedWine auto					;Spiced Wine
Potion property FirebrandWine auto							;Firebrand Wine

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	
	if akBaseObject as Potion
	
	;Soups and Stews
	;Catch multiple eating here
	
	;10% Exposure Resist
	if akBaseObject == FoodTomatoSoup
		if !(Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword10) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword15) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword20) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword25))
			Game.GetPlayer().EquipItem(_DE_FoodDummy10, false, true)
		EndIf
	elseif akBaseObject == FoodAppleCabbageStew
		if !(Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword10) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword15) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword20) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword25))
			Game.GetPlayer().EquipItem(_DE_FoodDummy10, false, true)
		EndIf
	;15% Exposure Resist
	elseif akBaseObject == FoodVegetableSoup
		if !(Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword10) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword15) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword20) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword25))
			Game.GetPlayer().EquipItem(_DE_FoodDummy15, false, true)
		EndIf
	elseif akBaseObject == FoodCabbagePotatoSoup
		if !(Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword10) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword15) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword20) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword25))
			Game.GetPlayer().EquipItem(_DE_FoodDummy15, false, true)
		EndIf
	elseif akBaseObject == FoodCabbageSoup
		if !(Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword10) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword15) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword20) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword25))
			Game.GetPlayer().EquipItem(_DE_FoodDummy15, false, true)
		EndIf
	;20% Exposure Resist
	elseif akBaseObject == FoodBeefStew
		if !(Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword10) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword15) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword20) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword25))
			Game.GetPlayer().EquipItem(_DE_FoodDummy20, false, true)
		EndIf
	elseif akBaseObject == FoodVenisonStew
		if !(Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword10) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword15) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword20) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword25))
			Game.GetPlayer().EquipItem(_DE_FoodDummy20, false, true)
		EndIf
	;25% Exposure Resist
	elseif akBaseObject == FoodElsweyrFondue
		if !(Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword10) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword15) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword20) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword25))
			Game.GetPlayer().EquipItem(_DE_FoodDummy25, false, true)
		EndIf
	elseif akBaseObject == FoodHorkerStew
		if !(Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword10) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword15) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword20) || Game.GetPlayer().HasEffectKeyword(_DE_FoodBuffKeyword25))
			Game.GetPlayer().EquipItem(_DE_FoodDummy25, false, true)
		EndIf
		
	;Alcohols
	
	;Restore 10 EP
	elseif akBaseObject == FoodMead
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 10.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy1, false, true)
		endif
	elseif akBaseObject == FoodWineAltoA
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 10.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy1, false, true)
		endif
	elseif akBaseObject == Ale
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 10.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy1, false, true)
		endif
	elseif akBaseObject == FoodWineAlto
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 10.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy1, false, true)
		endif
	elseif akBaseObject == FoodWineBottle02
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 10.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy1, false, true)
		endif
	elseif akBaseObject == FoodWineBottle02A
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 10.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy1, false, true)
		endif
	elseif akBaseObject == WEDL03CyrodilicBrandy
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 10.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy1, false, true)
		endif	
	
	;Restore 15 EP
	elseif akBaseObject == FoodSolitudeSpicedWine
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 15.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy2, false, true)
		endif
	elseif akBaseObject == FoodBlackBriarMead
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 15.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy2, false, true)
		endif
	elseif akBaseObject == FoodHonningbrewMead
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 15.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy2, false, true)
		endif
	elseif akBaseObject == MQ101JuniperMead
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 15.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy2, false, true)
		endif
	elseif akBaseObject == AleWhiterunQuest
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 15.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy2, false, true)
		endif
	elseif akBaseObject == FavorSorexRum
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 15.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy2, false, true)
		endif
		
	;Restore 20 EP
	elseif akBaseObject == FreeformDragonBridgeMead
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 20.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy3, false, true)
		endif
	elseif akBaseObject == RiftenSpecial01
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 20.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy3, false, true)
		endif
	elseif akBaseObject == RiftenSpecial02
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 20.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy3, false, true)
		endif
	elseif akBaseObject == RiftenSpecial03
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 20.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy3, false, true)
		endif
	elseif akBaseObject == BlackBriarMeadPrivateReserve
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 20.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy3, false, true)
		endif
	elseif akBaseObject == TGTQ02BalmoraBlue
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 20.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy3, false, true)
		endif
	elseif akBaseObject == MQ201Drink
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 20.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy3, false, true)
		endif
	elseif akBaseObject == FirebrandWine
		if !(Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW1) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW2) || Game.GetPlayer().HasEffectKeyword(_DE_DrinkKW3))
			_DE_ExposurePoints.SetValue(_DE_ExposurePoints.GetValue() + 20.0)
			Game.GetPlayer().EquipItem(_DE_DrinkDummy3, false, true)
		endif
	EndIf
	
	endif
EndEvent

