Scriptname _DE_Tent_MISC_Script extends ReferenceAlias
{Swaps the dropped Tent for the Activator variant.}

;Form list for Inventory Event Filter
formlist property _DE_MiscTentObjects auto

;Misc (Inventory) items
MiscObject property _DE_CampTentHide_MISC_10 auto
MiscObject property _DE_CampTentHide_MISC_9 auto
MiscObject property _DE_CampTentHide_MISC_8 auto
MiscObject property _DE_CampTentHide_MISC_7 auto
MiscObject property _DE_CampTentHide_MISC_6 auto
MiscObject property _DE_CampTentHide_MISC_5 auto
MiscObject property _DE_CampTentHide_MISC_4 auto
MiscObject property _DE_CampTentHide_MISC_3 auto
MiscObject property _DE_CampTentHide_MISC_2 auto
MiscObject property _DE_CampTentHide_MISC_1 auto

MiscObject property _DE_CampTentHideLarge_MISC_20 auto
MiscObject property _DE_CampTentHideLarge_MISC_19 auto
MiscObject property _DE_CampTentHideLarge_MISC_18 auto
MiscObject property _DE_CampTentHideLarge_MISC_17 auto
MiscObject property _DE_CampTentHideLarge_MISC_16 auto
MiscObject property _DE_CampTentHideLarge_MISC_15 auto
MiscObject property _DE_CampTentHideLarge_MISC_14 auto
MiscObject property _DE_CampTentHideLarge_MISC_13 auto
MiscObject property _DE_CampTentHideLarge_MISC_12 auto
MiscObject property _DE_CampTentHideLarge_MISC_11 auto
MiscObject property _DE_CampTentHideLarge_MISC_10 auto
MiscObject property _DE_CampTentHideLarge_MISC_9 auto
MiscObject property _DE_CampTentHideLarge_MISC_8 auto
MiscObject property _DE_CampTentHideLarge_MISC_7 auto
MiscObject property _DE_CampTentHideLarge_MISC_6 auto
MiscObject property _DE_CampTentHideLarge_MISC_5 auto
MiscObject property _DE_CampTentHideLarge_MISC_4 auto
MiscObject property _DE_CampTentHideLarge_MISC_3 auto
MiscObject property _DE_CampTentHideLarge_MISC_2 auto
MiscObject property _DE_CampTentHideLarge_MISC_1 auto

;"Packed" tent activators
Activator property _DE_CampTent_Packed_ACT_10 auto
Activator property _DE_CampTent_Packed_ACT_9 auto
Activator property _DE_CampTent_Packed_ACT_8 auto
Activator property _DE_CampTent_Packed_ACT_7 auto
Activator property _DE_CampTent_Packed_ACT_6 auto
Activator property _DE_CampTent_Packed_ACT_5 auto
Activator property _DE_CampTent_Packed_ACT_4 auto
Activator property _DE_CampTent_Packed_ACT_3 auto
Activator property _DE_CampTent_Packed_ACT_2 auto
Activator property _DE_CampTent_Packed_ACT_1 auto

Activator property _DE_CampTentHideLarge_Packed_ACT_20 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_19 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_18 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_17 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_16 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_15 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_14 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_13 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_12 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_11 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_10 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_9 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_8 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_7 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_6 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_5 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_4 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_3 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_2 auto
Activator property _DE_CampTentHideLarge_Packed_ACT_1 auto

Event OnInit()
	;AddInventoryEventFilter(_DE_MiscTentObjects)
endEvent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akDestContainer)
	if !akDestContainer
	
		;Add keyword filtering to speed this up
	
		;Small Hide Tent
		if akBaseItem == _DE_CampTentHide_MISC_10
			Game.GetPlayer().PlaceAtMe(_DE_CampTent_Packed_ACT_10)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHide_MISC_9
			Game.GetPlayer().PlaceAtMe(_DE_CampTent_Packed_ACT_9)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHide_MISC_8
			Game.GetPlayer().PlaceAtMe(_DE_CampTent_Packed_ACT_8)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHide_MISC_7
			Game.GetPlayer().PlaceAtMe(_DE_CampTent_Packed_ACT_7)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHide_MISC_6
			Game.GetPlayer().PlaceAtMe(_DE_CampTent_Packed_ACT_6)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHide_MISC_5
			Game.GetPlayer().PlaceAtMe(_DE_CampTent_Packed_ACT_5)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHide_MISC_4
			Game.GetPlayer().PlaceAtMe(_DE_CampTent_Packed_ACT_4)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHide_MISC_3
			Game.GetPlayer().PlaceAtMe(_DE_CampTent_Packed_ACT_3)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHide_MISC_2
			Game.GetPlayer().PlaceAtMe(_DE_CampTent_Packed_ACT_2)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHide_MISC_1
			Game.GetPlayer().PlaceAtMe(_DE_CampTent_Packed_ACT_1)
			akItemReference.Delete()
		
		;Large Hide Tent
	
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_20
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_20)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_19
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_19)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_18
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_18)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_17
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_17)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_16
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_16)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_15
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_15)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_14
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_14)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_13
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_13)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_12
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_12)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_11
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_11)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_10
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_10)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_9
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_9)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_8
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_8)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_7
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_7)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_6
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_6)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_5
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_5)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_4
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_4)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_3
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_3)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_2
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_2)
			akItemReference.Delete()
		elseif akBaseItem == _DE_CampTentHideLarge_MISC_1
			Game.GetPlayer().PlaceAtMe(_DE_CampTentHideLarge_Packed_ACT_1)
			akItemReference.Delete()
		endif
	endif
endEvent

